<?php
session_start();
//require_once("fonctions.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<script language="javascript" type="text/javascript" src="login.js"></script>
<link rel="stylesheet" type="text/css" href="utilisateur.css">
<title>Inscription d'un nouvel utilisateur</title>
</head>

<body>
<h2>Inscription</h2>


<?php
require_once('fonctions.php');
 global $erreur;
 
if (isset($_POST['inscrit']))
{
	$result = checkData();

	if ($result['check']) 
	{
		saveData($result);
	}
	else
	{
		echo '<p>Des erreurs se sont produites, veuillez les corriger.</p>';
		if ($result['erreur'] == '1') {echo '<p>Des données sont incomplètes</p>';}
		if ($result['erreur'] == '2') {echo '<p>Le compte existe déjà</p>';}
		if ($result['erreur'] == '4') {echo '<p>L\'entrée doit avoir plus de 1 caractère</p>';}
		if ($result['erreur'] == '5') {echo '<p>Caractères alphanumériques uniquement pour le nom ou prénom</p>';}
		if ($result['erreur'] == '6') {echo '<p>12 caractères maxi pour le mot de passe</p>';}
		displayForm();
	}
}
else
{
	displayForm();
}

function saveData($result)
{	
	$nom = $result['nom'];
	$prenom = $result['prenom'];
	$mail = $result['email'];
	$password = $result['passe'];
	$passe1 = md5($password);
	$passe = md5($passe1);
	$fichierutil = "clients/".$nom.$prenom.'.xml';
	$ip = $_SERVER['REMOTE_ADDR'];
	$xml = (file_exists($fichierutil)) ? simplexml_load_file($fichierutil) : simplexml_load_string("<?xml version='1.0' standalone='yes'?>\n<utilisateur>\n</utilisateur>");
	
	$identifiant = $xml->addChild('identifiant');
	$identifiant->addchild('nom', $nom);
	$identifiant->addChild('prenom', $prenom);
	$identifiant->addChild('email', $mail);
	$identifiant->addchild('passe', $passe);
	$identifiant->addchild('ip', $ip);
	$xml->asXML($fichierutil);
	
	$dom = new DOMDocument('1.0'); 
    $dom->preserveWhiteSpace = false;
    $dom->formatOutput = true;
    $dom->loadXML($xml->asXML());
    $formatedXML = $dom->saveXML();
 
    $h = fopen($fichierutil,'w+');
    fwrite($h, $formatedXML);
    fclose($h);
	
	echo "<p>Votre inscription est bien prise en compte. Merci</p>";
	echo "<p>Connectez vous pour terminer la validation.</p>";
	echo "<p><a href='login.php'>Retour</a></p>";
	
	}

function checkData()
{
	$result = array();
	$result['erreur'] = 0;
	
	$nom2 = isset($_POST['nomlog']) && $_POST['nomlog'] != '' ? $_POST['nomlog'] : false;
	$nom1 = noaccent($nom2);
	$nom = strtolower($nom1);
	
	$prenom2 = isset($_POST['prenomlog']) && $_POST['prenomlog'] != ''  ? $_POST['prenomlog'] : false;
	$prenom1 = noaccent($prenom2);
	$prenom = strtolower($prenom1);
	
	$passe = isset($_POST['md5']) && $_POST['md5'] != '' ? $_POST['md5'] : false;
	$email = isset($_POST['email']) && $_POST['email'] != '' ? $_POST['email'] : false;
	
	If ($nom && $prenom && $passe && $email)
		{$result['check'] = true;}
	else
		{$result['check'] = false;
		$result['erreur'] = '1';
		}
	
	$result = contascii($nom2);
	if ($result['check'] != false){
		$result = contascii($prenom2);
	}
	if (strlen($passe) > 12) {
		$result['check'] = false;
		$result['erreur'] = '6';
	}
	
	if (file_exists("clients/".$nom.$prenom.".xml")) {
		$result['check'] = false;
		$result['erreur'] = '2';
	}
	
	$result['nom'] = $nom;
	$result['prenom'] = $prenom;
	$result['passe'] = $passe;
	$result['email'] = $email;

	return $result;
}

function displayForm()
{
echo '<form id="form-inscription" action="" method="post">
<table align="center">
<tr><td>Prenom</td><td><input type="text" id="prenom" name="prenomlog"/></td></tr>
<tr><td>Nom</td><td><input type="text" id="nom" name="nomlog"/></td></tr>
<tr><td>E-mail</td><td><input type="email" name="email"/></td></tr>
<tr><td>Mot de passe</td><td><input type="password" name="md5"/></td></tr>
<tr><td colspan="2" align="center"><input type="submit" name="inscrit" value="M\'inscrire"/></td></tr>
</table>
</form>';

echo "<p><a href='login.php'>Retour</a></p>";
}
?>
<script type="text/javascript">
nomprog();
</script>

</body>
</html>