<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<script language="javascript" type="text/javascript" src="../login.js"></script>
<link rel="stylesheet" type="text/css" href="../utilisateur.css">
<title>Reinitialisation</title>
</head>

<body>
<script>
if (sessionStorage.getItem("deconnect") != "OK") {
document.location.replace("../index.html");
}
</script>
<h2>Modif E-mail</h2>

<?php
require_once('../fonctions.php');
 global $erreur;
 
if (isset($_POST['reinit']))
{
	$result = checkData();

	if ($result['check']) 
	{
		saveData($result);
	}
	else
	{
		echo '<p>Des erreurs se sont produites, veuillez les corriger.</p>';
		if ($result['erreur'] == '1') {echo '<p>Des données sont incomplètes</p>';}
		if ($result['erreur'] == '3') {echo '<p>Le compte n\'existe pas</p>';}
		displayForm();
	}
}
else
{
	displayForm();
}

function saveData($result)
{	
	$nom = $result['nom'];
	$prenom = $result['prenom'];
	$email = $result['email'];
	$nemail = $result['nemail'];

	$fichierutil = '../clients/'.$nom.$prenom.'.xml';
	$xml = simplexml_load_file($fichierutil);
	foreach ($xml->identifiant as $xmlpasse){
	$ident = $xmlpasse->nom;
	$ident2 = $xmlpasse->prenom;
	$ident3 = $xmlpasse->email; }
		if($nom==$ident && $prenom==$ident2 && $email==$ident3)
		{
		    $nouvmail = $xml->xpath("identifiant");
			$nouvmail[0]->email = $nemail;	
			$xml->asXML($fichierutil);
	
			$dom = new DOMDocument('1.0'); 
			$dom->preserveWhiteSpace = false;
			$dom->formatOutput = true;
			$dom->loadXML($xml->asXML());
			$formatedXML = $dom->saveXML();
 
			$h = fopen($fichierutil,'w+');
			fwrite($h, $formatedXML);
			fclose($h);

			
		echo "<p>L'échange de l'adresse mail est bien prise en compte. </p>";

		}
		else{
		echo "<p>L'initialisation ne peut se faire, votre ancienne adresse mail n'est pas la bonne !</p>";
		}
}

function checkData()
{
	$result = array();
	$result['erreur'] = 0;
	
	$nom2 = isset($_POST['Nom']) && $_POST['Nom'] != '' ? $_POST['Nom'] : false;
	$nom1 = noaccent($nom2);
	$nom = strtolower($nom1);
	$prenom2 = isset($_POST['Prenom']) && $_POST['Prenom'] != ''  ? $_POST['Prenom'] : false;
	$prenom1 = noaccent($prenom2);
	$prenom = strtolower($prenom1);
	$email = isset($_POST['email']) && $_POST['email'] != '' ? $_POST['email'] : false;
	$nemail = isset($_POST['nemail']) && $_POST['nemail'] != '' ? $_POST['nemail'] : false;

	If ($nom && $prenom && $email && $nemail)
		{$result['check'] = true;}
	else
		{$result['check'] = false;
		$result['erreur'] = '1';
		}
		
	if (file_exists("../clients/".$nom.$prenom.".xml")) {
		$result['check'] = true;}
	else{
		$result['check'] = false;
		$result['erreur'] = '3';
		}
	
	$result['nom'] = $nom;
	$result['prenom'] = $prenom;
	$result['email'] = $email;
	$result['nemail'] = $nemail;
	
	return $result;
}

function displayForm()
{
echo '<form id="form-inscription" action="" method="post">
<table align="center">
<tr><td>Prenom</td><td><input type="text" id="prenom" name="Prenom"/></td></tr>
<tr><td>Nom</td><td><input type="text" id="nom"  name="Nom"/></td></tr>
<tr><td>Ancien E-mail</td><td><input type="email" name="email"/></td></tr>
<tr><td>Nouveau</td><td><input type="nemail" name="nemail"/></td></tr>
<tr><td colspan="2" align="center"><input type="submit" name="reinit" value="Valider"/></td></tr>
</table>
</form>';
}

echo "<p><a href='../admin.php'>Retour</a></p>";
?>

<script type="text/javascript">
nomprog();
</script>

</body>
</html>